Make Call
curl --request POST \
--url https://prod-contactswing-fastapi-962560522883.us-central1.run.app/v2/_voicecalls/{agent_id}/makeCall \
--header 'Authorization: <authorization>' \
--header 'Content-Type: application/json' \
--data '
{
"agent_id": "<string>"
}
'import requests
url = "https://prod-contactswing-fastapi-962560522883.us-central1.run.app/v2/_voicecalls/{agent_id}/makeCall"
payload = { "agent_id": "<string>" }
headers = {
"Authorization": "<authorization>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: '<authorization>', 'Content-Type': 'application/json'},
body: JSON.stringify({agent_id: '<string>'})
};
fetch('https://prod-contactswing-fastapi-962560522883.us-central1.run.app/v2/_voicecalls/{agent_id}/makeCall', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"ctx_id": "<string>",
"data": {
"call_id": "<string>",
"status": "<string>",
"agent_id": "<string>"
},
"message": "<string>"
}Make Call
Initiate an outbound voice call using the specified AI agent.
POST
/
v2
/
_voicecalls
/
{agent_id}
/
makeCall
Make Call
Authorizations
string
required
Enter your ContactSwing JWT Bearer token.
Path Parameters
string
required
ID of the AI agent to handle the call.
Request Body
string
required
Phone number in E.164 format. Example:
+1234567890string
Name of the person being called. Example:
John Doestring
Purpose or reason for the call. Example:
Appointment confirmationResponse
200 OK - Call initiated successfullystring
Request context ID
string
“Request processed successfully”
Example
{
"phone_number": "+1234567890",
"customer_name": "John Doe",
"call_purpose": "Follow-up appointment"
}
⌘I

